<template>
  <div class="container">
    <h1>Hola</h1>
    <div class="row">
      <div class="col s12">
        <form @submit.prevent="login">
            <!-- Codigo SAP -->
          <div class="row">
            <div class="input-field col s12 m8 l6">
              <input type="text" id="user_name" v-model="credentials.user_name" />
              <label for="user_name">Codigo SAP</label>
            </div>
          </div>

          <!-- password -->

          <!-- Submit Buttom -->
            <button class="btn" type="submit">Entrar</button>
        </form>
      </div>
    </div>
  </div>
</template>
<script>
export default {
    data(){
        return {
            credentials:{
                user_name:'',
                password:''
            }
        }
    },
    methods: {
        /**Este metodo valida si es empleado de tienda o Usuario */
        validate_user(){
            let expreg = new RegExp(/(CNL|E)/i);
            let user_type = 'employee'
            if(expreg.test(this.credentials.user_name)){
                user_type = 'user'
            }

            return user_type;
        },
        login(){
            console.log(this.validate_user());
        }
    }
}
</script>